package pps.core.prediction.service.data.wellhead_daily_production_situation;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 油井状态
 *
 * @author ZWT
 * @date 2024/03/18 17:24
 */
@Data
public class GetWellRealPvOutput {

    @XText("井号")
    @JSONField(name = "welL_NAME")
    private String wellNumber;

    @XText("下次启停时间")
    @JSONField(name = "next_ExecDate")
    private Date nextTime;

    @XText("井口状态:停井/开井")
    @JSONField(name = "status")
    private String status;

    @XText("累计产液量")
    @JSONField(name = "reaL_LIQUID_DAILY")
    private BigDecimal realLiquidProduction;

    @XText("累计开井时长")
    @JSONField(name = "starthours")
    private Integer hours;
}
